@import url("https://fonts.googleapis.com/css2?family=Audiowide&family=League+Spartan:wght@100..900&family=Podkova:wght@400..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Anton&family=Audiowide&family=League+Spartan:wght@100..900&family=Podkova:wght@400..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=BBH+Bartle&family=BBH+Bogle&family=Noto+Serif:ital,wght@0,100..900;1,100..900&family=Passion+One:wght@400;700;900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Sansation:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap");
#splash-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    /* atau warna lain */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 0.5s ease-in-out;
}

.splash-content {
    display: flex;
    justify-content: center;
    align-items: center;
    animation: fadeIn 1s ease-in-out;
}

.splash-content img {
    max-width: 220px;
    width: 100%;
    height: auto;
    margin: 0 auto;
    display: block;
}

@media (max-width: 640px) {
    .splash-content img {
        max-width: 170px;
    }
    .splash-content h6 {
        font-size: 6px;
    }
}

.splash-content h6 {
    font-size: 25px;
    color: #fff;
    font-family: "Podkova";
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: scale(0.95);
    }

    to {
        opacity: 1;
        transform: scale(1);
    }
}

.topbar {
    padding-left: 20px;
    padding-right: 20px;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    z-index: 111;
    display: flex;
    align-items: center;
    animation: moveInTopBar 3s ease-in-out;
}

.topbar h1 {
    color: white;
    font-size: 10px;
    padding-top: 10px;
}

@keyframes moveInTopBar {
    from {
        opacity: 0;
        transform: translate(-50%, -40px);
    }

    to {
        opacity: 1;
        transform: translate(-50%, 0);
    }
}

#home {
    width: 100%;
    min-height: 100dvh;
    background-color: rgb(255, 208, 0);
}

#home .container {
    position: relative;
    max-width: 100%;
    min-height: 80dvh;
    background-image: url("image_campaign/banner.png");
    background-repeat: no-repeat;
    background-size: cover;
}

#home .img-brand {
    right: 0;
    top: 90%;
    transform: translateY(-50%);
    position: absolute;
    z-index: 1;
    width: 150px;
    opacity: 0.4;
}

#home .image-banner {
    position: relative;
    aspect-ratio: 20/7;
    object-fit: cover;
    width: 100%;
    z-index: 1;
}

#home .text-home {
    position: absolute;
    bottom: -0.5%;
    left: -0.4%;
}

#home .brand {
    font-size: 170px;
    font-family: "Anton", sans-serif;
    font-weight: bold;
    color: rgb(255, 208, 0);
    line-height: 45px;
    letter-spacing: 10px;
    animation: moveInLeft 3s ease-in-out;
}

@keyframes moveInLeft {
    from {
        transform: translateY(40%);
    }

    to {
        transform: translateY(0);
    }
}

#home .des p {
    color: white;
    font-family: "Podkova";
    margin-top: 30px;
    font-weight: 300;
    animation: moveInRight 3s ease-in-out;
}

@keyframes moveInRight {
    from {
        transform: translateX(40%);
    }

    to {
        transform: translateX(0);
    }
}

#home .des p span {
    color: rgb(255, 208, 0);
    font-family: "Anton";
    font-size: 13px;
}

#product {
    width: 100%;
    min-height: 100dvh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

#product .container {
    max-width: 100%;
    min-height: 55dvh;
    /* background-color: rgb(150, 150, 150); */
}

#product .img-model {
    position: absolute;
    width: 300px;
    z-index: 1;
    filter: drop-shadow(15px 8px 1px rgb(0, 0, 0, 0.55));
}

#product .brand {
    position: absolute;
    font-weight: bold;
    font-size: 120px;
    font-family: "Passion One";
    color: rgb(255, 208, 0);
}

#product .brand:nth-child(2) {
    color: transparent;
    -webkit-text-stroke: 0.4px rgb(255, 208, 0);
    z-index: 11;
}

#product .container .btn:hover {
    box-shadow: 0 0 0 rgba(0, 0, 0, 0.55);
    transform: translateY(8px);
}

#about {
    width: 100%;
    min-height: 100dvh;
    display: flex;
    justify-content: center;
}

#about .container .d-flex > * {
    flex: 1;
    min-width: 0;
}

#about .container .btn {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-family: "Passion One";
    font-weight: bold;
    border: 1px solid rgb(255, 208, 0);
    border-radius: 0px 50px 50px 0px;
    color: white;
    -webkit-text-stroke: 1px rgba(255, 208, 0);
    box-shadow: 7px 8px 0 rgba(255, 208, 0);
    transition: box-shadow 0.15s ease, transform 0.15s ease;
}

#about .container .btn:hover {
    box-shadow: 0 0 0 rgba(0, 0, 0, 0.55);
    transform: translateY(8px);
}

#about .brand {
    font-size: 70px;
    font-weight: bold;
    color: rgb(255, 208, 0);
    font-family: "Passion One";
    line-height: 50px;
}

#about .container .img-product-1 {
    object-fit: cover;
    width: 40%;
    filter: drop-shadow(15px 8px 1px rgb(0, 0, 0, 0.55));
}

#about .container .left-about {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: rgb(255, 208, 0);
    border-radius: 50px 0px 0px 50px;
}

#about .container .img-product-2 {
    aspect-ratio: 16/14;
    object-fit: cover;
    width: 100%;
    border-radius: 0px 50px 50px 0px;
}

@media (max-width: 830px) {
    #home .text-home {
        font-size: 20px;
        bottom: -5%;
    }

    #home .des p {
        margin-top: 0px;
        font-size: 15px;
    }

    #product {
        width: 100%;
        min-height: 70dvh;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
    }

    #about {
        width: 100%;
        min-height: 70dvh;
        display: flex;
        justify-content: center;
    }
}

@media (max-width: 630px) {
    #home .text-home {
        bottom: -2%;
    }

    #home .text-home .brand {
        font-size: 60px;
    }

    #home .des p {
        margin-top: -20px;
        font-size: 10px;
    }

    #home .des p span {
        font-size: 10px;
    }

    #product {
        width: 100%;
        min-height: 100dvh;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
    }

    #product .brand {
        font-size: 60px;
    }

    #product .img-model {
        width: 250px;
    }

    #about {
        width: 100%;
        min-height: 100dvh;
        display: flex;
        justify-content: center;
    }

    #about .container .content {
        display: flex;
        flex-direction: column-reverse;
    }
}
